/**
 * @param {import("../engine.mjs").Game} game
 * @param {{ x: number, y: number, width: number, height: number }} area
 */
export function mouseIsInArea(game, area) {
  return pointIsInArea(area, { x: game.mouse.x, y: game.mouse.y });
}

/**
 * @param {{ x: number, y: number, width: number, height: number }} area
 * @param {{ x: number, y: number }} point
 */
export function pointIsInArea(area, point) {
  if (area.x > point.x) return false;
  if (area.x + area.width < point.x) return false;
  if (area.y > point.y) return false;
  if (area.y + area.height < point.y) return false;
  return true;
}
