/**
 *
 * @param {import("../engine.mjs").Game} game
 * @param {string} content
 */
export function showPopupOnMousePosition(game, content) {
  /** @type {import("../types").DisplayPopupInformation["coordinates_base_position"]} */
  const position_on_screen = 'top_left';

  game.game_data.popup = {
    state: 'displayed',
    color: { background: '#AAA', border: '#444' },
    x: game.mouse.x,
    y: game.mouse.y,
    coordinates_base_position: position_on_screen,
    coordinates_adjusted_position: 'sticky_border',
    content: {
      type: 'text',
      text: content,
      font_size: 15,
      padding: { x: 10, y: 10 },
    },
  };
}
