/**
 * @param {import("../types").StoredCharacterData} character
 * @param {import("../types").CharacterId} other_character_id
 * @returns {import("../types").CharacterBackstoryRelation}
 */
export function getRelationsFor(character, other_character_id) {
  const entry = character.story.relations.find((r) => r.id === other_character_id);
  if (entry) return entry;
  /** @type {import("../types").CharacterBackstoryRelation} */
  const relation = {
    id: other_character_id,
    status: {},
    interactions: {
      friendship_interactions: 0,
      romance_interactions: 0,
      rivalry_bullies_interactions: 0,
      rivalry_is_bullied_interactions: 0,
      did_protect_interactions: 0,
      protected_by_interactions: 0,
      hardship_interactions: 0,
      guilt_interactions: 0,
    },
  };
  character.story.relations.push(relation);
  return relation;
}
