/**
 * @template T
 * @template {keyof T} K
 * @typedef {T extends any ? Omit<T, K> : never} DistributiveOmit
 */

/**
 * @param {import("../types").GameData} game_data
 * @param {import("../types").StoredCharacterData} character
 * @param {DistributiveOmit<import("../types").CharacterBackstoryTransmutedEvent, "cycle">} story
 */
export function addTransmutedBackstoryEvent(game_data, character, story) {
  const entry = (() => {
    const last_backstory = character.story.events[character.story.events.length - 1];
    if (last_backstory.location === 'transmuted') {
      return last_backstory;
    }
    /** @type {import("../types").CharacterBackstoryEvent} */
    const event_group = {
      location: 'transmuted',
      cycle_start: game_data.game_state.current_cycle,
      content: [],
    };
    character.story.events.push(event_group);
    return event_group;
  })();
  entry.content.push({ ...story, cycle: game_data.game_state.current_cycle });
}
