import { getRelationsFor } from '../data/backstory.mjs';

/**
 * @param {import('../types').StoredCharacterData} character
 * @param {import('../types').CharacterId} other_character_id
 * @returns {import('../types').CharacterRelationshipStatus}
 */
export function snapshotRelationStatus(character, other_character_id) {
  const relation = getRelationsFor(character, other_character_id);
  return {
    is_partner: relation.status.is_partner,
    is_friend: relation.status.is_friend,
    is_rival_bully: relation.status.is_rival_bully,
    is_rival_target: relation.status.is_rival_target,
    is_team_member: relation.status.is_team_member,
    is_hardship_companion: relation.status.is_hardship_companion,
  };
}

/**
 * @param {import('../types').StoredCharacterData} character
 * @param {import('../types').CharacterId} other_character_id
 * @returns {import('../types').EventCharacterInfo}
 */
export function getEventCharacterInfo(character, other_character_id) {
  return {
    character: other_character_id,
    relationship: snapshotRelationStatus(character, other_character_id),
  };
}
