/**
 * @typedef { import("../types").ImageAssetPartialInformation } ImageAssetPartialInformation
 */

const screen_entries = [
  'background_dungeon',
  'background_forest',
  'character_body_base',
  'character_body_base_angry',
  'character_body_base_angry_attack',
  'character_body_cross1',
  'character_body_cross2',
  'character_body_magic_bindings1',
  'character_body_magic_bindings2',
  'character_body_magic_cage1',
  'character_body_magic_cage2',
  'character_body_magic_cage3',
  'character_body_mirror1',
  'character_body_mirror2',
  'character_body_mirror3',
  'character_body_mirrored',
  'character_body_petrified1_base',
  'character_body_petrified1_sword',
  'character_body_petrified1_staff',
  'character_body_petrified2',
  'character_body_petrified3',
  'character_body_rope_bindings1',
  'character_body_rope_bindings2',
  'character_body_slime1_base',
  'character_body_slime1_sword',
  'character_body_slime1_staff',
  'character_body_slime2',
  'character_body_staff',
  'character_body_staff_angry',
  'character_body_staff_angry_attack',
  'character_body_statue',
  'character_body_sword',
  'character_body_sword_angry',
  'character_body_sword_angry_attack',
  'enemy1',
  'enemy1_attack',
  'enemy2',
  'enemy2_attack',
  'enemy3',
  'enemy3_attack',
  'enemy4',
  'enemy4_attack',
  'enemy5',
  'enemy5_attack',
  'enemy6',
  'enemy6_attack',
  'enemy7',
  'enemy7_attack',
];

const item_entries = [
  'item_cloth_dress',
  'item_diadem',
  'item_gem_necklace',
  'item_gem_wrist_amulet',
  'item_leather_armor',
  'item_plated_armor',
  'item_staff',
  'item_sword',
  'item_dust',
];

const face_entries = [
  'character_face_base_smiling',
  'character_face_base_angry',
  'character_face_base_surprised',
  'character_face_magic_binds_angry',
  'character_face_magic_binds_surprised',
  'character_face_mirror_angry',
  'character_face_mirror_surprised',
  'character_face_rope_binds_angry',
  'character_face_rope_binds_surprised',
  'character_face_slime_angry',
  'character_face_slime_surprised',
  'character_face_statue',
  'character_face_transmuted',
];

/** @type {{ [file_url: string]: { [key_name: string]: ImageAssetPartialInformation } }} */
const image_descriptions = {};

for (const entry of screen_entries) {
  image_descriptions[`assets/${entry}.png`] = {};
  image_descriptions[`assets/${entry}.png`][entry] = {
    origin: { x: 0, y: 0, w: 800, h: 600 },
    target: { w: 800, h: 600 },
  };
}

for (const entry of item_entries) {
  image_descriptions[`assets/${entry}.png`] = {};
  image_descriptions[`assets/${entry}.png`][entry] = {
    origin: { x: 0, y: 0, w: 500, h: 500 },
    target: { w: 500, h: 500 },
  };
}

for (const entry of face_entries) {
  image_descriptions[`assets/${entry}.png`] = {};
  image_descriptions[`assets/${entry}.png`][entry] = {
    origin: { x: 0, y: 0, w: 300, h: 300 },
    target: { w: 300, h: 300 },
  };
}

export { image_descriptions };
